> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a vector store file



## OpenAPI

````yaml /api-reference/vector-stores.json delete /v1/vector_stores/{vector_store_id}/files/{file_id}
openapi: 3.1.0
info:
  title: SynapsAI Vector Stores API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/vector_stores/{vector_store_id}/files/{file_id}:
    delete:
      summary: Delete a vector store file
      operationId: deleteVectorStoreFile
      parameters:
        - name: vector_store_id
          in: path
          required: true
          schema:
            type: string
        - name: file_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Deletion confirmation. `object` is `vector_store.file.deleted`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeletedObject'
        '404':
          description: Vector store or file not found
components:
  schemas:
    DeletedObject:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          description: >-
            For example `response.deleted`, `chat.completion.deleted`,
            `vector_store.deleted`, or `vector_store.file.deleted`.
        deleted:
          type: boolean
      required:
        - id
        - object
        - deleted

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.